Subject: [Gen-art] Gen-ART Telechat review of draft-ietf-mile-iodef-xmlreg-01.txt

From: Suresh Krishnan <[email-masked]>
Date: Tue, 5 Jun 2012 11:53:16 -0400

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-mile-iodef-xmlreg-01.txt
Reviewer: Suresh Krishnan
Review Date: 2012/06/07
IESG Telechat date: 2012/06/05

Summary: This document is ready for publication as a Proposed Standard 
but I have a comment.

Minor
=====

* Introduction:

The first sentence is too complex and very difficult to parse. Please 
consider breaking it up. I have proposed some changed text, but feel 
free to ignore if it changes the meaning of what you wanted to convey.

OLD:
IODEF extensions via class extension through AdditionalData and
RecordItem elements, as per section 5.2 of [RFC5070], generally
register their namespaces and schemas with the IANA XML Namespace
registry at http://www.iana.org/assignments/xml-registry/ns.html and
the IANA XML Schema registry at
http://www.iana.org/assignments/xml-registry/schema.html,
respectively [RFC3688].

NEW:
The classes of the IODEF data model can be extended by the use of
AdditionalData and RecordItem elements, as per section 5.2 of [RFC5070].
IODEF extensions that use such extended classes register their 
namespaces and schemas with the IANA XML Namespace
registry at http://www.iana.org/assignments/xml-registry/ns.html and
the IANA XML Schema registry at
http://www.iana.org/assignments/xml-registry/schema.html,
respectively [RFC3688].

Thanks
Suresh

---

From: Brian Trammell <[email-masked]>
Date: Thu, 7 Jun 2012 00:57:30 +0200

Hi, Suresh,

Thanks for the comment; yes, this one is a bit hard to parse (even for me, and I tend to write page-length sentences). I've tweaked your suggested text somewhat and applied to the current working copy of the -02 revision.

Best regards,

Brian

On Jun 5, 2012, at 5:53 PM, Suresh Krishnan wrote:

> Summary: This document is ready for publication as a Proposed Standard but I have a comment.
> 
> Minor
> =====
> 
> * Introduction:
> 
> The first sentence is too complex and very difficult to parse. Please consider breaking it up. I have proposed some changed text, but feel free to ignore if it changes the meaning of what you wanted to convey.
> 
> OLD:
> IODEF extensions that use such extended classes register their namespaces and schemas with the IANA XML Namespace

---

From: Suresh Krishnan <[email-masked]>
Date: Mon, 11 Jun 2012 12:34:31 -0400

> Thanks for the comment; yes, this one is a bit hard to parse (even for me, and I tend to write page-length sentences). I've tweaked your suggested text somewhat and applied to the current working c…

Thanks Brian. I will look over the new text when it is available.

Regards
Suresh